VARKON Version 1.16 1998-10-19

### varkon

Unix startscript

Description

Shell script that sets up a number of neccesary environment variables and starts the main executable binary, xvarkon. One or two parameters may be supplied. The first is always interpreted as a project name and the second as a job name. If not supplied VARKON will promt for project and job names.

$VARKON_ROOT/com/english/varkon should be used if you want the system to talk english while
$VARKON_ROOT/com/swedish/varkon is intended for swedish users.

The varkon script supplied with the system usually needs editing to function properly. This is described in the installation document README found in $VARKON_ROOT. Many users prefer to use one or more different copies of this script to start the system with different environment or different parameters. You are absolutely free to do any way you want. The script supplied is only one way to do it.

Syntax

varkon project_name job_name

Optional parameters

project_name

- Name of project

job_name

- Name of job

Comments

Each available project is defined by a project file residing in $VARKON_PID. Project files have names ending with ".PID", ie. project_name.PID

See VARKON_PID for more information on projects and project files.

Edit the line startting xvarkon at the end of the startscript and add an extra ini file if you want to alter any of the X-resources in the standard ini file.

VARKON Homepage | Index